/****************************************************************
 * hu.h
 * Last change 10-15-2014 by Osman Celimli
 ****************************************************************/
#ifndef HU
#define HU

#define HU_CHANNELS	6
#define HU_LFSRS	2
#define HU_LFSR_A	4
#define HU_LFSR_B	5

#define HU_AUDFREQ	3579545

#define HU_LO		0
#define HU_HI		1
#define HU_BANK		2
#define HU_MAP		3

#define HU_MAPSIZE	(256 * 1024)
#define HU_BANKSIZE	(8 * 1024)
#define HU_MAPBANKS	(HU_MAPSIZE / HU_BANKSIZE)


typedef struct HuAddress
{
	unsigned char ucLow;
	unsigned char ucHigh;
	unsigned char ucBank;
	unsigned char ucMap;
} HuAddress;
/****************************************************************
 * Function Defines
 ****************************************************************/
HuAddress hu_calcAddr(unsigned int uiAddr);
#endif
