/****************************************************************
 * pack.h
 * Last change 08-30-2014 by Osman Celimli
 ****************************************************************/
#ifndef PACK
#define PACK

/* Track Package Header
 -----------------------------*/
#define PACK_MAGICWORD					"TRK"
#define PACK_HEADER_OFFSET_MAGIC		0
#define PACK_HEADER_OFFSET_COUNT		3
#define PACK_HEADER_OFFSET_ADDRESS		4

#define PACK_TRACK_OFFSET_ADDR			0
#define PACK_TRACK_OFFSET_ADDRL			PACK_TRACK_OFFSET_ADDR + 0
#define PACK_TRACK_OFFSET_ADDRH			PACK_TRACK_OFFSET_ADDR + 1
#define PACK_TRACK_OFFSET_ADDRB			PACK_TRACK_OFFSET_ADDR + 2
#define PACK_TRACK_OFFSET_ADDRM			PACK_TRACK_OFFSET_ADDR + 3
#define PACK_TRACK_DESC_LEN				4

/****************************************************************
 * Function Defines
 ****************************************************************/
int pak_buildBlock(FILE *pDest, FILE **ppSrcs, unsigned int uiFiles);
#endif
